
/**
 * Agregate class storing Student objects.
 * 
 * @author JP Vergara 
 * @version 1.2
 */
public class StudentList
{
    private Student[] list;
    private int count;
    public static final int MAX = 100;

    public StudentList()
    {
    	list = new Student[MAX];
    	count = 0;
    }

    public void add( Student s )
    {
    	if ( count == MAX )
    	{
    		System.out.println( "List full." );
    	}
    	else
    	{
    		list[count++] = s;
    	}
    }
    
    public Student find( String name )
    {
    	for( int i = 0; i < count; i++ )
    	{
    		if ( list[i].getName().equals( name ) )
    		{
    			return list[i];
    		}
    	}
    	return null;
    }
 
 /* we don't want to expose underlying representation
     
    public Student[] getList()
    {
    	return list;
    }
    
    public int getCount()
    {
    	return count;
    }
    
  */
  
	private int iterator;
	
	public void first()
	{
		iterator = 0;
	}
	
	public boolean hasNext()
	{
		return iterator < count;
	}
	
	public void next()
	{
		if ( iterator < count )
		{
			iterator++;
		}
	}
	
	public Student getCurrent()
	{
		return list[iterator];
	}
    
}
